petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPComputeExplicitOperator

Computes the explicit preconditioned operator, including diagonal scaling and null space removal if applicable.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPComputeExplicitOperator(KSP ksp,Mat *mat)

Collective on KSP

### Input Parameter

ksp -the Krylov subspace context

### Output Parameter

mat -the explict preconditioned operator

### Notes

This computation is done by applying the operators to columns of the identity matrix.

Currently, this routine uses a dense matrix format when 1 processor is used and a sparse format otherwise. This routine is costly in general, and is recommended for use only with relatively small systems.

### Keywords

KSP, compute, explicit, operator

### See Also

KSPComputeEigenvaluesExplicitly(), PCComputeExplicitOperator(), KSPSetDiagonalScale(), KSPSetNullSpace()

Level:advanced
Location:src/ksp/ksp/interface/eige.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages